# classes/phing/tasks/ext/docblox/DocBloxTask.php

## \DocBloxTask
jump to top

DocBlox Task (http://www.docblox-project.org)

Use {@link Project#createTask} to register a new Task.

Extends from
  \Task
author
  Michiel Rook
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext.docblox
since
  2.4.6
version
  $Revision: 1269 $

### Properties

`string $destDir= ''`

Destination/target directory

Details

Type
  string

`\FileSet[] $filesets= 'array'`

List of filesets

Default value `array` Details

Type
  \FileSet[]

`boolean $quiet= 'true'`

Force DocBlox to be quiet

Default value `true` Details

Type
  boolean

`string $title= ''`

Title of the project

Details

Type
  string

### Methods

`createFileSet( ) : \FileSet`
Nested creator, adds a set of files (nested fileset attribute).
Returns

Type | Description
--- | ---
\FileSet |

`initializeDocBlox( ) :`
Finds and initializes the DocBlox installation
`main( ) :`
Task entry point
Details

see
  \Task::main()

`parseFiles( ) : string`
Build a list of files (from the fileset elements) and call the DocBlox parser
Returns

Type | Description
--- | ---
string |

`setDestDir( string $destDir ) :`
Sets destination/target directory
Parameters

Name | Type | Description
--- | --- | ---
$destDir | string |

`setOutput( string $output ) :`
Convenience setter (@see setDestDir)
Parameters

Name | Type | Description
--- | --- | ---
$output | string |

`setQuiet( boolean $quiet ) :`
Forces DocBlox to be quiet
Parameters

Name | Type | Description
--- | --- | ---
$quiet | boolean |

`setTitle( \strings $title ) :`
Sets the title of the project
Parameters

Name | Type | Description
--- | --- | ---
$title | \strings |

Documentation was generated by DocBlox 0.13.1.